=head1 NAME

Gtk2::MenuItem

=head1 HIERARCHY

  Glib::Object
  +----Glib::InitiallyUnowned
       +----Gtk2::Object
            +----Gtk2::Widget
                 +----Gtk2::Container
                      +----Gtk2::Bin
                           +----Gtk2::Item
                                +----Gtk2::MenuItem

=head1 INTERFACES

  Glib::Object::_Unregistered::AtkImplementorIface
  Gtk2::Buildable


=head1 METHODS

=head2 widget = Gtk2::MenuItem-E<gt>B<new> ($label=undef)

=over

=over

=item * $label (string) 

=back

=back

=head2 widget = Gtk2::MenuItem-E<gt>B<new_with_label> ($label=undef)

=over

=over

=item * $label (string) 

=back

=back

=head2 widget = Gtk2::MenuItem-E<gt>B<new_with_mnemonic> ($label=undef)

=over

=over

=item * $label (string) 

=back

=back

=head2 $menu_item-E<gt>B<set_accel_path> ($accel_path)

=over

=over

=item * $accel_path (string) 

=back

=back

=head2 $menu_item-E<gt>B<activate> 

=over

=back

=head2 $menu_item-E<gt>B<deselect> 

=over

=back

=head2 $menu_item-E<gt>B<remove_submenu> 

=over

=back

=head2 boolean = $menu_item-E<gt>B<get_right_justified> 

=over

=back

=head2 $menu_item-E<gt>B<set_right_justified> ($right_justified)

=over

=over

=item * $right_justified (boolean) 

=back

=back

=head2 $menu_item-E<gt>B<select> 

=over

=back

=head2 widget or undef = $menu_item-E<gt>B<get_submenu> 

=over

=back

=head2 $menu_item-E<gt>B<set_submenu> ($submenu)

=over

=over

=item * $submenu (Gtk2::Widget or undef) 

=back

=back

=head2 $menu_item-E<gt>B<toggle_size_allocate> ($allocation)

=over

=over

=item * $allocation (integer) 

=back

=back

=head2 requisition = $menu_item-E<gt>B<toggle_size_request> 

=over

=back


=head1 PROPERTIES

=over

=item 'submenu' (Gtk2::Menu : readable / writable / private)

The submenu attached to the menu item, or NULL if it has none

=back


=head1 SIGNALS

=over

=item B<activate> (Gtk2::MenuItem)

=item B<activate-item> (Gtk2::MenuItem)

=item B<toggle-size-request> (Gtk2::MenuItem, gpointer)

=item B<toggle-size-allocate> (Gtk2::MenuItem, integer)

=back


=head1 SEE ALSO

L<Gtk2>, L<Glib::Object>, L<Glib::InitiallyUnowned>, L<Gtk2::Object>, L<Gtk2::Widget>, L<Gtk2::Container>, L<Gtk2::Bin>, L<Gtk2::Item>

=head1 COPYRIGHT

Copyright (C) 2003-2007 by the gtk2-perl team.

This software is licensed under the LGPL.  See L<Gtk2> for a full notice.


=cut

